net.fortuna.ical4j.model.property

## Class Action

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Action

All Implemented Interfaces:
  Serializable

    public class Action
    extends Property

$Id$ Created: [Apr 6, 2004] Defines an ACTION iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

### Field Summary

Fields
`static Action` `AUDIO` Constant action for playing an audible sound.
`static Action` `DISPLAY` Constant action for displaying a visible notification.
`static Action` `EMAIL` Constant action for sending an email.
`static Action` `PROCEDURE` Constant action for a procedure.

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Action()` Default constructor.
`Action(ParameterList aList, String aValue)`
`Action(String aValue)`

### Method Summary

Methods
`String` `getValue()`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### AUDIO

    public static final Action AUDIO

Constant action for playing an audible sound.

#### DISPLAY

    public static final Action DISPLAY

Constant action for displaying a visible notification.

#### EMAIL

    public static final Action EMAIL

Constant action for sending an email.

#### PROCEDURE

    public static final Action PROCEDURE

Constant action for a procedure.

### Constructor Detail

#### Action

    public Action()

Default constructor.

#### Action

    public Action(String aValue)

Parameters:
  `aValue` - a value string for this component

#### Action

    public Action(ParameterList aList,
          String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

### Method Detail

#### setValue

    public void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state